Bug 246348 - archivers/snappy-java: Update to 1.1.7.5
Summary: archivers/snappy-java: Update to 1.1.7.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2020-05-10 07:08 UTC by Angelo Polo
Modified: 2020-05-14 11:15 UTC (History)
2 users (show)

See Also:


Attachments
SVN diff - update to 1.1.7.5 (10.12 KB, patch)
2020-05-10 07:08 UTC, Angelo Polo
no flags Details | Diff
i386 configuration added (12.23 KB, patch)
2020-05-14 10:02 UTC, Angelo Polo
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Angelo Polo 2020-05-10 07:08:08 UTC
Created attachment 214332 [details]
SVN diff - update to 1.1.7.5

Updated to latest source version 1.1.7.5, based on Google snappy version 1.1.7.
Builds with sbt instead of maven.
Java 11 compatible.
Testing moved to test target.

Builds in poudriere with openjdk8 and openjdk11.
All tests pass.
All databases/cassandra4 tests using snappy-java pass.

SVN commands:
svn rm files/patch-likelinux
svn add files/patch-Makefile
svn add files/patch-project_plugins.sbt

The sbt repository to be hosted on LOCAL is available here for manual download:
https://drive.google.com/uc?id=1MQxKteMwxlqJ3VMvZ_qkT38XC0paltkq&export=download

I'm happy to volunteer as maintainer as well.

Best,
Angelo
Comment 1 Kurt Jaeger freebsd_committer 2020-05-12 19:56:14 UTC
testbuilds@work
Comment 2 Kurt Jaeger freebsd_committer 2020-05-13 13:24:50 UTC
It fails to build on i386 version (11.3, current). Any ideas ?
Comment 3 Angelo Polo 2020-05-14 10:02:34 UTC
Created attachment 214482 [details]
i386 configuration added

i386 configuration added.
Builds and tests all pass on 12.1-RELEASE-p3 i386.

Additional SVN command:
svn add files/patch-Makefile.common
Comment 4 Kurt Jaeger freebsd_committer 2020-05-14 11:15:17 UTC
Committed, thanks!
Comment 5 commit-hook freebsd_committer 2020-05-14 11:15:43 UTC
A commit references this bug:

Author: pi
Date: Thu May 14 11:15:15 UTC 2020
New revision: 535224
URL: https://svnweb.freebsd.org/changeset/ports/535224

Log:
  archivers/snappy-java: update 1.0.4.1 -> 1.1.7.5, submitter becomes maintainer

  - Builds with sbt instead of maven
  - Java 11 compatible
  - Testing moved to test target
  - Builds in poudriere with openjdk8 and openjdk11
  - All tests pass
  - All databases/cassandra4 tests using snappy-java pass

  PR:		246348
  Submitted by:	Angelo Polo <language.devel@gmail.com>
  Relnotes:	https://github.com/xerial/snappy-java/blob/master/Milestone.md

Changes:
  head/archivers/snappy-java/Makefile
  head/archivers/snappy-java/distinfo
  head/archivers/snappy-java/files/patch-Makefile
  head/archivers/snappy-java/files/patch-Makefile.common
  head/archivers/snappy-java/files/patch-likelinux
  head/archivers/snappy-java/files/patch-project_plugins.sbt